# Remove-RASAutoUpgradeMessage.md

## NAME

Remove-RASAutoUpgradeMessage

## SYNOPSIS

Removes an Auto-upgrade Message within Auto-upgrade settings.

## SYNTAX

\*\*Remove-RASAutoUpgradeMessage -[DefObjType](#defobjtype) {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings | VDIGuestDef} -[MessageId](#messageid-string) *(uint)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAutoUpgradeMessage \[[Id](#id-string)] *(uint)* -[MessageId](#messageid-string) *(uint)* -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAutoUpgradeMessage \[-[InputObject](#inputobject)] *(*[*RASSerilazableObj*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)*)* -[MessageId](#messageid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASAutoUpgradeMessage \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[MessageId](#messageid-string) *(uint)* -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes an Auto-upgrade Message within Auto-upgrade settings.

## PARAMETERS

## MessageId (uint)

Auto-upgrade job message ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name or server for which to modify the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to modify the Auto-upgrade settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a server for which to modify the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)) An object of type RDS, RDSHostPool, VDITemplate or VDIDesktop for which to modify the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([HostPoolObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/hostpoolobjtype.md))

The Object Type for which to modify the Auto-upgrade settings.

Possible values: RDSHostPool, VDIHostPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType ([ServerDefObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/serverdefobjtype.md))

The Default Object Type for which to modify the Auto-upgrade settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings, VDIGuestDef

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASAutoUpgradeMessage -DefObjType RDSDef -MessageId 1

Removes the specified message by id from the Auto-upgrade settings of the RDS Default Settings.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASAutoUpgradeMessage -Name "VDIHostPool1" -ObjType VDIHostPool -MessageId 1

Removes the specified message by id from the Auto-upgrade settings of the specified VDIHostPool by Name.\
\*\*---------- EXAMPLE 3 ----------

Remove-RASAutoUpgradeMessage -Id 1 -ObjType AVDHostPool -MessageId 1

Removes the specified message by id from the Auto-upgrade settings of the specified AVDHostPool by Id.

## RELATED LINKS

* [Get-RASAutoUpgrade](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrade.md)
* [Add-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasautoupgrademessage.md)
* [Get-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrademessage.md)
* [Set-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasautoupgrademessage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasautoupgrademessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
